# setFilterStrength method Null safety

Future<void> setFilterStrength(

1. double strength

)

Set the strength of filter

In application scenarios such as shows, a high strength is required to highlight the characteristics of anchors. The default strength is 0.5, and if it is not sufficient, it can be adjusted with the following APIs.

Parameters:

strength Value range: 0–1. The greater the value, the more obvious the effect. Default value: 0.5.

## Implementation

    Future<void> setFilterStrength(double strength) {
      return _channel
          .invokeMethod('setFilterStrength', {"strength": strength.toString()});
    }